Updates the work instruction action type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

work_instruction_action_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

sales_organization_id

sales organization id

globally unique identifier
name

Action like Replace, Check, Adjust

string

Required

Max length: 50

reference_back_office

The Id/Ref of the back office for this work instruction action type. Used by Embedded entity

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "785d16e3-1b95-4994-b3b2-50236eea468b",
  "sales_organization_id": "27daecaf-b69a-4bd3-b248-4d998b6d955f",
  "name": "sample string 3",
  "reference_back_office": "sample string 4",
  "modified_dateutc": "2026-09-28T09:11:19.9827908+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.